{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":560,"path":"api-reference/rest-apis/tmf-party-management-open-api.md","title":"Party Management Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Party Management Open API\n\nThe Party Management Open API provides endpoints for managing parties with a relationship to the enterprise, like a consumer, account, or contact. Use this API to create, update, and retrieve data from the Consumer \\[csm\\_consumer\\], Account \\[customer\\_account\\], and Contact \\[customer\\_contact\\] tables.\n\nThe Party Management Open API is a ServiceNow® implementation of the TM Forum Party Management API REST specification. This implementation is based on the [TMF632 Party Management API Conformance Profile v5.0.0 – TM Forum](https://www.tmforum.org/resources/reference/tmf632b-party-management-api-conformance-profile-v5-0-0/), June 2025. The Party Management Open API is conformance certified by TM Forum.\n\nThis API is provided within the sn\\_tmf\\_api namespace. The calling user must have the sn\\_tmf\\_api.party\\_integrator role. The Customer Service Base Entities \\(com.snc.cs\\_base\\) plugin is required, particularly for all GET operations.\n\nThis API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. Sensitive fields like phone numbers may require special ACL permissions for update or retrieval.\n\n## v2: CTK Compliance and Structural Changes\n\nThe Party Management Open API has been updated to align with TMF 632 CTK \\(Core Transaction Kernel\\) compliance standards. These changes improve interoperability with external telecommunications systems and clarify the structure of party and relationship data.\n\nKey changes with v2:\n\n1.  Removal of PartyOrPartyRole Object: In previous versions, a `PartyOrPartyRole` object at the root level was used to determine whether a request would create an Account, Consumer, or Contact. This object is no longer supported and has been removed. Use the `@type` field instead.\n2.  Introduction of @type at Root Level: The `@type` field is now mandatory at the root level of all requests to POST endpoints. This field explicitly declares the type of party object being created:\n    -   `@type: \"Account\"`: Creates or updates an Account record.\n    -   `@type: \"Consumer\"`: Creates or updates a Consumer record.\n    -   `@type: \"Contact\"`: Creates or updates a Contact record.\n\nThe v1 API endpoints continue to support the legacy `PartyOrPartyRole` structure. For new integrations or when upgrading existing integrations, use the v2 endpoints with the updated `@type` structure. Both versions are available during the transition period; however, v1 is deprecated and will be sunset in a future release.\n\n## Migration Guide\n\nIf you are upgrading from a previous version using `PartyOrPartyRole`:\n\n1.  **Remove** any `PartyOrPartyRole` object from your request payload\n2.  **Add** the `@type` field at the root level with the appropriate value \\(`Account`, `Consumer`, or `Contact`\\)\n3.  **Update** the `relatedParty` object to include the mandatory `@type` field \\(set to `\"User\"` for Consumer creation\\)\n4.  **Retain** the `role` field in `relatedParty` with value `\"User\"`\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Party Management – DELETE /api/sn\\_tmf\\_api/v1/party/individual/\\{id\\}\n\nInactivates a specified record from the Consumer \\[csm\\_consumer\\] and Contact \\[customer\\_contact\\] tables.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/party/individual/{id}`\n\nDefault URL: `/api/sn_tmf_api/v1/party/individual/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or external\\_id of the Consumer or Contact record to set to an inactive state.Table: Consumer \\[csm\\_consumer\\] and Contact \\[customer\\_contact\\].\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\nThe following example deletes the given record.\n\n```\ncurl \"http://instance.service-now.com/api/sn_tmf_api/v1/party/individual/dca96eaa11f43110f877366201dea6c1\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user 'user':'password' \\\n```\n\nDoesn't return a response body. Reference status codes for a success or failure indicator.\n\n## Party Management – GET /api/sn\\_tmf\\_api/v1/party/individual\n\nRetrieves a list of all individual \\(party\\) records with a relationship to the enterprise. You can filter results by specific fields or IDs.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/v1/party/individual`\n\nDefault URL: `/api/sn_tmf_api/v1/party/individual`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   @type\n-   familyName\n-   gender\n-   givenName\n-   href\n-   id\n-   middleName\n-   name\n-   nationality\n-   status\n-   title\n\nData type: String\n\nDefault: Returns all fields.\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nFilter party management by sys\\_id. Specified sys\\_ids are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval.Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table><table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call.For example, if offset=2 and limit=3, the value of the Content-Range header is items 3-5.\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports application/json.\n\n</td></tr><tr><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results:\n\n-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr><td>\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td>\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request. Possible reasons:-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_eyq_bh4_3hc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the individual. Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAddress\n\n</td><td>\n\nEmail address of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the party location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used.Possible values:\n\n-   email\n-   businessPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always false.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nAn external system identifier that links the party record to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nfamilyName\n\n</td><td>\n\nLast name of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngender\n\n</td><td>\n\nGender of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngivenName\n\n</td><td>\n\nFirst name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the user or consumer or contact record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the user or consumer or contact record to retrieve.Tables: Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nmiddleName\n\n</td><td>\n\nMiddle name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nUser name of the user or contact individual.Data type: String\n\n</td></tr><tr><td>\n\nnationality\n\n</td><td>\n\nNationality of the individual.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics associated with the party.Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [\n {\n  \"@type\": \"String\",\n  \"name\": \" String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, this defines the subclass extensible name.Possible values:\n\n-   StringCharacteristic\n-   StringArrayCharacteristic\n-   IntegerCharacteristic\n-   BooleanCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of the individual.Valid values:\n\n-   active: Individual is in an active status.\n-   inactive: Individual is in an inactive status.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nPrefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`\\).Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieves a list of all party management records in the instance.\n\n```\ncurl\"http://instance.servicenow.com/api/v1/sn_tmf_api/party/individual\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'user:password' \n```\n\nResponse body for a Individual Contact party.\n\n```\n[\n{\n   \"id\": \"34d92aaa11f43110f877366201dea67b\",\n   \"externalId\": \"LOC-SF-HQ-2026\",\n   \"href\": \"api/sn_tmf_api/party/individual/34d92aaa11f43110f877366201dea67b\",\n   \"name\": \"carlos.star\",\n   \"givenName\": \"Carlos\",\n   \"middleName\": \"\",\n   \"familyName\": \"Star\",\n   \"gender\": \"\",\n   \"title\": \"\",\n   \"partyCharacteristics\": [\n     {\n       \"name\": \"notification\",\n       \"value\": \"Enable\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"preferredLanguage\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"dateFormat\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"timeFormat\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"timeZone\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"vip\",\n       \"value\": false,\n       \"valueType\": \"boolean\",\n       \"@type\": \"BooleanCharacteristic\"\n     },\n     {\n       \"name\": \"webServiceAccessOnly\",\n       \"value\": false,\n       \"valueType\": \"boolean\",\n       \"@type\": \"BooleanCharacteristic\"\n     },\n     {\n       \"name\": \"source\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"eduStatus\",\n       \"value\": \"Faculty\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     }\n   ],\n   \"contactMedium\": [\n     {\n       \"preferred\": false,\n       \"mediumType\": \"email\",\n       \"emailAddress\": \"carlos.star@example.com\",\n       \"@type\": \"EmailContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"businessPhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"BusinessPhoneContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"homePhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"HomePhoneContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"mobilePhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"MobilePhoneContactMedium\"\n     }\n   ],\n   \"externalReference\": [],\n   \"relatedParty\": [\n     {\n       \"@type\": \"Company\",\n       \"role\": \"Company\"\n     },\n     {\n       \"role\": \"Department\"\n     }\n   ],\n   \"status\": \"Active\",\n   \"@type\": \"Individual\"\n }\n]\n```\n\nResponse body for a Individual Consumer party.\n\n```\n[\n{\n   \"id\": \"168bfc6953a46210132bddeeff7b129f\",\n   \"href\": \"api/sn_tmf_api/party/individual/168bfc6953a46210132bddeeff7b129f\",\n   \"givenName\": \"yyyg\",\n   \"middleName\": \"hhh\",\n   \"familyName\": \"bhhhbjhh\",\n   \"gender\": \"\",\n   \"nationality\": \"\",\n   \"title\": \"\",\n   \"partyCharacteristics\": [\n     {\n       \"name\": \"notes\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"user\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"notification\",\n       \"value\": \"Enable\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"preferredLanguage\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"dateFormat\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"timeFormat\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"timeZone\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     }\n   ],\n   \"contactMedium\": [\n     {\n       \"preferred\": false,\n       \"mediumType\": \"businessPhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"BusinessPhoneContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"homePhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"HomePhoneContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"mobilePhone\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"MobilePhoneContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"fax\",\n       \"phoneNumber\": \"\",\n       \"@type\": \"FaxContactMedium\"\n     },\n     {\n       \"preferred\": false,\n       \"mediumType\": \"postalAddress\",\n       \"@type\": \"GeographicalAddressContactMedium\",\n       \"city\": \"ygyg\",\n       \"locationId\": \"a39bfc6953a46210132bddeeff7b12b7\",\n       \"country\": \"\",\n       \"postCode\": \"hh\",\n       \"stateOrProvince\": \"gyg\",\n       \"street1\": \"hgg\",\n       \"street2\": \"\"\n     }\n   ],\n   \"externalReference\": [],\n   \"relatedParty\": [\n     {\n       \"@type\": \"User\",\n       \"role\": \"User\"\n     }\n   ],\n   \"status\": \"Active\",\n   \"@type\": \"User\"\n }\n]\n```\n\n## Party Management - GET /api/sn\\_tmf\\_api/v1/party/individual/\\{id\\}\n\nRetrieves a specified record from the Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\] tables. You can filter results by specific fields.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/party/individual`\n\nDefault URL: `/api/sn_tmf_api/v1/party/individual`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or external\\_id of the consumer or contact record to retrieve.Table: Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\]\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   @type\n-   familyName\n-   gender\n-   givenName\n-   href\n-   id\n-   middleName\n-   name\n-   nationality\n-   status\n-   title\n\nData type: String\n\nDefault: Returns all fields\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_mh2_hc4_3hc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the individual. Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAddress\n\n</td><td>\n\nEmail address of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the party location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used.Possible values:\n\n-   email\n-   businessPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always false.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nAn external system identifier that links the party record to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nfamilyName\n\n</td><td>\n\nLast name of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngender\n\n</td><td>\n\nGender of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngivenName\n\n</td><td>\n\nFirst name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the user or consumer or contact record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the user or consumer or contact record to retrieve.Tables: Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nmiddleName\n\n</td><td>\n\nMiddle name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nUser name of the user or contact individual.Data type: String\n\n</td></tr><tr><td>\n\nnationality\n\n</td><td>\n\nNationality of the individual.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics associated with the party.Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [\n {\n  \"@type\": \"String\",\n  \"name\": \" String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, this defines the subclass extensible name.Possible values:\n\n-   StringCharacteristic\n-   StringArrayCharacteristic\n-   IntegerCharacteristic\n-   BooleanCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of the individual.Valid values:\n\n-   active: Individual is in an active status.\n-   inactive: Individual is in an inactive status.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nPrefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`\\).Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieves a specified record, `12345`, from the table.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_tmf_api/v1/party/individual/12345\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'user':'password' \\\n```\n\nResponse body.\n\n```\n{\n  \"id\": \"12345\",\n  \"externalId\": \"LOC-SF-HQ-2026\",\n  \"givenName\": \"JohnTest6\",\n  \"middleName\": \"A.\",\n  \"familyName\": \"Doe\",\n  \"gender\": \"male\",\n  \"nationality\": \"American\",\n  \"title\": \"Mr\",\n  \"contactMedium\": [\n    {\n      \"preferred\": true,\n      \"mediumType\": \"email\",\n      \"emailAddress\": \"john.doe18723@example.com\",\n      \"@type\": \"EmailContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"mobilePhone\",\n      \"phoneNumber\": \"+1-202-555-0198\",\n      \"@type\": \"PhoneContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"businessPhone\",\n      \"phoneNumber\": \"+1-202-555-0198\",\n      \"@type\": \"BusinessPhoneContactMedium\"\n    },\n    {\n      \"preferred\":false,\n      \"mediumType\":\"faxPhone\",\n      \"phoneNumber\":\"123456789\",\n      \"@type\":\"FaxContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"homePhone\",\n      \"phoneNumber\": \"+1-202-555-0198\",\n      \"@type\": \"HomePhoneContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"postalAddress\",\n      \"@type\": \"GeographicAddressContactMedium\",\n      \"locationId\":\"25ab9e240a0a0bb3009eb9ef8dd0a2c0\",\n      \"city\": \"Town\",\n      \"country\": \"USA\",\n      \"postCode\": \"07960\",\n      \"stateOrProvince\": \"New Jersey\",\n      \"street1\": \"1820 Harris Houston Road, Charlotte\",\n      \"street2\": \"East Tower - 10th Floor\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"postalAddress\",\n      \"@type\": \"GeographicAddressContactMedium\",\n      \"locationId\":\"25aba17a0a0a0bb3007efd809d6e695c\",\n      \"city\": \"Webster\",\n      \"country\": \"USA\",\n      \"postCode\": \"76022\",\n      \"stateOrProvince\": \"TN\",\n      \"street1\": \"17077 Texas Avenue, Webster\",\n      \"street2\": \"East Tower - 11th Floor\"\n    }\n  ],\n  \"externalReference\": [\n    {\n      \"externalIdentifierType\": \"facebook\",\n      \"id\": \"http://facebook.com/johndoe\"\n    }\n  ],\n  \"partyCharacteristic\": [\n    {\n      \"name\": \"notes\",\n      \"value\": \"notes about the consumer\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"dateFormat\",\n      \"value\": \"dd-mm-yyyy\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"timeformat\",\n      \"value\": \"hh.mm.ss (12 hour)\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"notification\",\n      \"value\": \"Enable\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    }\n  ],\n  \"relatedParty\": [\n    {\n      \"@type\": \"User\",\n      \"role\": \"User\"\n    }\n  ],\n  \"status\": \"active\",\n  \"@type\": \"User\"\n}\n```\n\n## Party Management – GET /api/ sn\\_tmf\\_api/v1/party/organization/\\{id\\}\n\nRetrieves a specified record from the Account \\[customer\\_account\\] tables. You can filter results by specific fields or IDs.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/v1/party/organization/{id}`\n\nDefault URL: `/api/sn_tmf_api/v1/party/organization/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the company or account record to retrieve.Table: Account \\[customer\\_account\\] or Company \\[csm\\_company\\]\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   @type\n-   href\n-   id\n-   legalName\n-   name\n-   status\n-   tradingName\n\nData type: String\n\nDefault: Returns all fields\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nFilter party management by sys\\_id. Specified sys\\_ids are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval.Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_edn_qnn_3hc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party.Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"contactType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAdress\n\n</td><td>\n\nEmail address of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Possible values:\n\n-   businessPhone\n-   email\n-   faxPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always `false`.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\ncreatedDate\n\n</td><td>\n\nTimestamp when the organization record was created \\(ISO 8601 format\\). Data type: String\n\nExample: \"2025-06-25T14:32:18.000Z\"\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nAn external system identifier that links the party record to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference\n\n</td><td>\n\nList of identifiers of the party in an external system.Data type: Array of Objects\n\n```\n\"externalReference\": [ \n { \n  \"externalIdentifierType\": \"String\", \n  \"name\": \"String\" \n }\n]\n```\n\n</td></tr><tr><td>\n\nexternalReference.externalIdentifierType\n\n</td><td>\n\nType of entity within the external system.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference.name\n\n</td><td>\n\nHuman-readable name of the external system or reference.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the account record \\(URI\\).Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the external entity account record.Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nlastModifiedDate\n\n</td><td>\n\nTimestamp when the organization record was last modified \\(ISO 8601 format\\).Data type: String\n\nExample: \"2025-06-25T14:32:18.000Z\"\n\n</td></tr><tr><td>\n\nlegalName\n\n</td><td>\n\nLegal name of the organization.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the organization.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics that a party can take on. Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [ \n { \n  \"@type\": \"String\" \n  \"name\": \"String\",   \n  \"value\": \"String\", \n  \"valueType\": \"String\"\n } \n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, **@type** defines the subclass extensible name.Possible value:\n\n-   BooleanCharacteristic\n-   IntegerCharacteristic\n-   StringArrayCharacteristic\n-   StringCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of organization.Valid values:\n\n-   active: Organization is active.\n-   inactive: Organization is inactive.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntradingName\n\n</td><td>\n\nName that the organization trades under.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following GET call returns fields for the specified party management organization record with sys\\_id, 12345.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_tmf_api/v1/party/organization/12345\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'user':'password' \\\n```\n\nResponse body.\n\n```\n{\n   \"id\": \"2154376\",\n   \"name\": \"Advances Super Computing\",\n   \"href\": \"api/sn_tmf_api/party/organization/2154376\",\n   \"externalId\": \"LOC-SF-HQ-2026\",\n   \"legalName\": \"Hello\",\n   \"tradingName\": \"World\",\n   \"contactMedium\": [\n     {\n       \"preferred\": \"false\",\n       \"mediumType\": \"email\",\n       \"@type\": \"EmailContactMedium\",\n       \"emailAddress\": \"user@servicenow.com\"\n     },\n     {\n       \"preferred\": \"false\",\n       \"mediumType\": \"phone\",\n       \"@type\": \"PhoneContactMedium\",\n       \"phone\": \"(555) 555-5555\"\n     },\n     {\n       \"preferred\": \"false\",\n       \"mediumType\": \"faxPhone\",\n       \"@type\": \"FaxPhoneContactMedium\",\n       \"fax_phone\": \"\"\n     }\n   ],\n   \"externalReference\": [\n     {\n       \"externalIdentifierType\": \"Facebook\",\n       \"name\": \"facebook.com\"\n     },\n     {\n       \"externalIdentifierType\": \"Twitter\",\n       \"name\": \"twitter.com\"\n     }\n   ],\n   \"partyCharacteristic\": [\n     {\n       \"name\": \"notes\",\n       \"value\": \"efdxcjkn \",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"registrationCode\",\n       \"value\": \"23456789\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"accountCode\",\n       \"value\": \"####30\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"identificationNumber\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"taxId\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"industry\",\n       \"value\": \"\",\n       \"valueType\": \"choice\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"numEmployees\",\n       \"value\": \"\",\n       \"valueType\": \"integer\",\n       \"@type\": \"IntergerCharacteristic\"\n     },\n     {\n       \"name\": \"rankTier\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"publiclyTraded\",\n       \"value\": \"false\",\n       \"valueType\": \"boolean\",\n       \"@type\": \"BooleanCharacteristic\"\n     },\n     {\n       \"name\": \"stockSymbol\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"stockPrice\",\n       \"value\": \"\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"vendorType\",\n       \"value\": \"Services, Applications\",\n       \"valueType\": \"list\",\n       \"@type\": \"StringArrayCharacteristic\"\n     },\n     {\n       \"name\": \"marketCap\",\n       \"value\": \"0\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"profits\",\n       \"value\": \"0\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"revenuePerYear\",\n       \"value\": \"0\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     },\n     {\n       \"name\": \"website\",\n       \"value\": \"sdfgh.com\",\n       \"valueType\": \"string\",\n       \"@type\": \"StringCharacteristic\"\n     }\n   ],\n   \"relatedParty\": [\n     {\n       \"type\": \"User\",\n       \"role\": \"primary\"\n     },\n     {\n       \"type\": \"User\",\n       \"role\": \"other\"\n     },\n     {\n       \"type\": \"User\",\n       \"role\": \"other\"\n     }\n   ],\n   \"organizationChildRelationship\": [\n     {\n       \"relationshipType\": \"partner_account\",\n       \"organization\": {\n         \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n         \"name\": \"Startech svcs\",\n         \"href\": \"api/sn_tmf_api/party/organization/9e2fd2ee11b43110f877366201dea674\",\n         \"@type\": \"Organization\"\n       }\n     },\n     {\n       \"relationshipType\": \"New type\",\n       \"organization\": {\n         \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n         \"name\": \"Startech svcs\",\n         \"href\": \"api/sn_tmf_api/party/organization/9e2fd2ee11b43110f877366201dea674\",\n         \"@type\": \"Organization\"\n       }\n     },\n     {\n       \"relationshipType\": \"child\",\n       \"organization\": {\n         \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n         \"name\": \"Startech svcs\",\n         \"href\": \"api/sn_tmf_api/party/organization/null\",\n         \"@type\": \"Organization\"\n       }\n     }\n   ],\n   \"organizationParentRelationship\": {\n     \"relationshipType\": \"parent\",\n     \"organization\": {\n       \"id\": \"ffc68911c35420105252716b7d40dd55\",\n       \"name\": \"Funco Intl\",\n       \"href\": \"undefinedffc68911c35420105252716b7d40dd55\",\n       \"@type\": \"Organization\"\n     }\n   },\n   \"status\": \"inActive\",\n   \"@type\": \"User\"\n }\n```\n\n## Party Management - GET /api/sn\\_tmf\\_api/v1/party/organization\n\nRetrieves organization-level party records from the Company \\[core\\_company\\] and Account \\[customer\\_account\\] tables. You can filter results by specific fields or IDs.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/v1/party/organization`\n\nDefault URL: `/api/sn_tmf_api/v1/party/organization`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid fields:\n\n-   @type\n-   href\n-   id\n-   legalName\n-   name\n-   status\n-   tradingName\n\nData type: String\n\nDefault: Returns all fields\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nFilter party management by sys\\_id. Specified sys\\_ids are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval.Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table><table id=\"id_avm_mj4_3hc\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   `BusinessPhoneContactMedium`: Business phone number\n-   `EmailContactMedium`: Email address\n-   `FaxPhoneContactMedium`: Fax number\n-   `GeographicAddressContactMedium`: Physical address: street, city, state, postal code\n-   `HomePhoneContactMedium`: Home phone number\n-   `MobilePhoneContactMedium`: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the individual. Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAddress\n\n</td><td>\n\nEmail address of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the party location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used.Possible values:\n\n-   email\n-   businessPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always false.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is in a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nfamilyName\n\n</td><td>\n\nLast name of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngender\n\n</td><td>\n\nGender of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngivenName\n\n</td><td>\n\nFirst name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the user or consumer or contact record.Data type: String\n\n</td></tr><tr><td>\n\nmiddleName\n\n</td><td>\n\nMiddle name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nUser name of the user or contact individual.Data type: String\n\n</td></tr><tr><td>\n\nnationality\n\n</td><td>\n\nNationality of the individual.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics associated with the party.Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [\n {\n  \"@type\": \"String\",\n  \"name\": \" String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, this parameter defines the subclass extensible name.Possible values:\n\n-   StringCharacteristic\n-   StringArrayCharacteristic\n-   IntegerCharacteristic\n-   BooleanCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of the individual.Valid values:\n\n-   active: Individual is in an active status.\n-   inactive: Individual isn't in an active status.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nPrefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`\\).Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_edn_qnn_3hc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party.Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"contactType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAdress\n\n</td><td>\n\nEmail address of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Possible values:\n\n-   businessPhone\n-   email\n-   faxPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always `false`.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\ncreatedDate\n\n</td><td>\n\nTimestamp when the organization record was created \\(ISO 8601 format\\). Data type: String\n\nExample: \"2025-06-25T14:32:18.000Z\"\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nAn external system identifier that links the party record to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference\n\n</td><td>\n\nList of identifiers of the party in an external system.Data type: Array of Objects\n\n```\n\"externalReference\": [ \n { \n  \"externalIdentifierType\": \"String\", \n  \"name\": \"String\" \n }\n]\n```\n\n</td></tr><tr><td>\n\nexternalReference.externalIdentifierType\n\n</td><td>\n\nType of entity within the external system.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference.name\n\n</td><td>\n\nHuman-readable name of the external system or reference.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the account record \\(URI\\).Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the external entity account record.Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nlastModifiedDate\n\n</td><td>\n\nTimestamp when the organization record was last modified \\(ISO 8601 format\\).Data type: String\n\nExample: \"2025-06-25T14:32:18.000Z\"\n\n</td></tr><tr><td>\n\nlegalName\n\n</td><td>\n\nLegal name of the organization.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the organization.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics that a party can take on. Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [ \n { \n  \"@type\": \"String\" \n  \"name\": \"String\",   \n  \"value\": \"String\", \n  \"valueType\": \"String\"\n } \n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, **@type** defines the subclass extensible name.Possible value:\n\n-   BooleanCharacteristic\n-   IntegerCharacteristic\n-   StringArrayCharacteristic\n-   StringCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of organization.Valid values:\n\n-   active: Organization is active.\n-   inactive: Organization is inactive.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntradingName\n\n</td><td>\n\nName that the organization trades under.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis returns all organization records related to the enterprise.\n\n```\ncurl\"http://instance.servicenow.com/api/sn_tmf_api/v1/party/organization\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'user':'password'\n```\n\nResponse body.\n\n```\n[\n  {\n    \"id\": \"0bd6717c184da610f87765359bc696d3\",\n    \"name\": \"SERVICENOW 144\",\n    \"href\": \"api/sn_tmf_api/party/organization0bd6717c184da610f87765359bc696d3\",\n    \"externalId\": \"LOC-SF-HQ-2026\",\n    \"legalName\": \"\",\n    \"tradingName\": \"\",\n    \"contactMedium\": [\n      {\n        \"preferred\": \"false\",\n        \"mediumType\": \"email\",\n        \"@type\": \"EmailContactMedium\",\n        \"emailAddress\": \"user@email.com\"\n      },\n      {\n        \"preferred\": \"false\",\n        \"mediumType\": \"phone\",\n        \"@type\": \"PhoneContactMedium\",\n        \"phone\": \"+1-555-555-5555\"\n      },\n      {\n        \"preferred\": \"false\",\n        \"mediumType\": \"faxPhone\",\n        \"@type\": \"FaxPhoneContactMedium\",\n        \"fax_phone\": \"\"\n      }\n    ],\n    \"externalReference\": [\n      {\n        \"externalIdentifierType\": \"Instagram\",\n        \"name\": \"\"\n      }\n    ],\n    \"partyCharacteristic\": [\n      {\n        \"name\": \"notes\",\n        \"value\": \"Testing for update the notes\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"registrationCode\",\n        \"value\": \"111122112211\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"accountCode\",\n        \"value\": \"accountcode1\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"identificationNumber\",\n        \"value\": \"\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"taxId\",\n        \"value\": \"CTNUM1000123\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"industry\",\n        \"value\": \"technology_services\",\n        \"valueType\": \"choice\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"numEmployees\",\n        \"value\": \"\",\n        \"valueType\": \"integer\",\n        \"@type\": \"IntergerCharacteristic\"\n      },\n      {\n        \"name\": \"rankTier\",\n        \"value\": \"rankTier\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"publiclyTraded\",\n        \"value\": \"false\",\n        \"valueType\": \"boolean\",\n        \"@type\": \"BooleanCharacteristic\"\n      },\n      {\n        \"name\": \"stockSymbol\",\n        \"value\": \"Market\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"stockPrice\",\n        \"value\": \"1000\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"vendorType\",\n        \"value\": \"Hardware\",\n        \"valueType\": \"list\",\n        \"@type\": \"StringArrayCharacteristic\"\n      },\n      {\n        \"name\": \"marketCap\",\n        \"value\": \"0\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"profits\",\n        \"value\": \"0\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"revenuePerYear\",\n        \"value\": \"0\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      },\n      {\n        \"name\": \"website\",\n        \"value\": \"\",\n        \"valueType\": \"string\",\n        \"@type\": \"StringCharacteristic\"\n      }\n    ],\n    \"relatedParty\": [],\n    \"organizationChildRelationship\": [\n      {\n        \"relationshipType\": \"Partner Account\",\n        \"organization\": {\n          \"id\": \"396b47201841a610f87765359bc696cf\",\n          \"name\": \"child\",\n          \"href\": \"api/sn_tmf_api/party/organization396b47201841a610f87765359bc696cf\",\n          \"@type\": \"Organization\"\n        }\n      }\n    ],\n    \"organizationParentRelationship\": {\n      \"relationshipType\": \"parent\",\n      \"organization\": {\n        \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n        \"name\": \"Startech svcs\",\n        \"href\": \"api/sn_tmf_api/party/organization9e2fd2ee11b43110f877366201dea674\",\n        \"@type\": \"Organization\"\n      }\n    },\n    \"@type\": \"User\"\n  }\n]\n```\n\n## Party Management – PATCH /api/sn\\_tmf\\_api/v1/party/individual/\\{id\\}\n\nUpdates an existing individual party record in the Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\] table without replacing the entire resource.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/v1/party/individual`\n\nDefault URL: `/api/sn_tmf_api/v1/party/individual`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the consumer or contact.Tables: Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_zhv_km4_3hc\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   `BusinessPhoneContactMedium`: Business phone number\n-   `EmailContactMedium`: Email address\n-   `FaxPhoneContactMedium`: Fax number\n-   `GeographicAddressContactMedium`: Physical address: street, city, state, postal code\n-   `HomePhoneContactMedium`: Home phone number\n-   `MobilePhoneContactMedium`: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the individual. Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAddress\n\n</td><td>\n\nEmail address of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the party location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used.Possible values:\n\n-   email\n-   businessPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always false.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is in a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nfamilyName\n\n</td><td>\n\nLast name of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngender\n\n</td><td>\n\nGender of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngivenName\n\n</td><td>\n\nFirst name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the user or consumer or contact record.Data type: String\n\n</td></tr><tr><td>\n\nmiddleName\n\n</td><td>\n\nMiddle name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nUser name of the user or contact individual.Data type: String\n\n</td></tr><tr><td>\n\nnationality\n\n</td><td>\n\nNationality of the individual.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics associated with the party.Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [\n {\n  \"@type\": \"String\",\n  \"name\": \" String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, this parameter defines the subclass extensible name.Possible values:\n\n-   StringCharacteristic\n-   StringArrayCharacteristic\n-   IntegerCharacteristic\n-   BooleanCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of the individual.Valid values:\n\n-   active: Individual is in an active status.\n-   inactive: Individual isn't in an active status.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nPrefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`\\).Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_t1b_mm4_3hc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the individual. Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAddress\n\n</td><td>\n\nEmail address of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the party location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nThe type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used.Possible values:\n\n-   email\n-   businessPhone\n-   homePhone\n-   mobilePhone\n-   postalAddress\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the individual.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always false.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   state\n-   province\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nAn external system identifier that links the party record to your source system or third-party application.Data type: String\n\n</td></tr><tr><td>\n\nfamilyName\n\n</td><td>\n\nLast name of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngender\n\n</td><td>\n\nGender of the individual.Data type: String\n\n</td></tr><tr><td>\n\ngivenName\n\n</td><td>\n\nFirst name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the user or consumer or contact record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the user or consumer or contact record to retrieve.Tables: Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nmiddleName\n\n</td><td>\n\nMiddle name of the individual.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nUser name of the user or contact individual.Data type: String\n\n</td></tr><tr><td>\n\nnationality\n\n</td><td>\n\nNationality of the individual.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics\n\n</td><td>\n\nList of characteristics associated with the party.Data type: Array of Objects\n\n```\n\"partyCharacteristics\": [\n {\n  \"@type\": \"String\",\n  \"name\": \" String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\npartyCharacteristics.@type\n\n</td><td>\n\nWhen subclassing, this defines the subclass extensible name.Possible values:\n\n-   StringCharacteristic\n-   StringArrayCharacteristic\n-   IntegerCharacteristic\n-   BooleanCharacteristic\n\nData type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.name\n\n</td><td>\n\nName of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.value\n\n</td><td>\n\nValue of the party characteristic.Data type: String\n\n</td></tr><tr><td>\n\npartyCharacteristics.valueType\n\n</td><td>\n\nData type of the characteristic's value.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of parties or party roles related to this party.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n {\n  \"@type\": \"User\",\n  \"role\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThe type of related party. For Consumer creation, use `\"User\"`. This value indicates that a new Consumer user will be created in ServiceNow, or if a matching user exists, it will be associated with the new Consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nFunctional, business role that the related party plays in the context of the current entity.Possible values:\n\n-   Company \\(if related party is User\\)\n-   Department \\(if related party is User\\)\n-   Account \\(if related party is Customer\\)\n-   User \\(if related party is Consumer\\)\n\nData type: String\n\n</td></tr><tr><td>\n\nstatus\n\n</td><td>\n\nFlag that indicates the status of the individual.Valid values:\n\n-   active: Individual is in an active status.\n-   inactive: Individual is in an inactive status.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nPrefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`\\).Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nUpdates an existing individual party record with sys\\_id, 12345, in the Consumer \\[csm\\_consumer\\] or Contact \\[customer\\_contact\\] table without replacing the entire resource.\n\n```\ncurl \"http://localhost:8080/api/sn_tmf_api/v1/party/Individual/12345\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--user 'user':'password'\n--data \"{\n  \\\"name\\\": \\\"John.Doe\\\",\n  \\\"givenName\\\": \\\"John\\\",\n  \\\"middleName\\\": \\\"A.\\\",\n  \\\"familyName\\\": \\\"Doe\\\",\n  \\\"gender\\\": \\\"male\\\",\n  \\\"nationality\\\": \\\"American\\\",\n  \\\"title\\\": \\\"Mr\\\",\n  \\\"contactMedium\\\": [\n    {\n      \\\"preferred\\\": true,\n      \\\"mediumType\\\": \\\"email\\\",\n      \\\"emailAddress\\\": \\\"john.doe@gmail.com\\\",\n      \\\"@type\\\": \\\"EmailContactMedium\\\"\n    },\n    {\n      \\\"preferred\\\": false,\n      \\\"mediumType\\\": \\\"businessPhone\\\",\n      \\\"phoneNumber\\\": \\\"+1-202-555-0188\\\",\n      \\\"@type\\\": \\\"PhoneContactMedium\\\"\n    },\n    {\n      \\\"preferred\\\": false,\n      \\\"mediumType\\\": \\\"homePhone\\\",\n      \\\"phoneNumber\\\": \\\"+1-202-555-0198\\\",\n      \\\"@type\\\": \\\"HomePhoneContactMedium\\\"\n    },\n    {\n      \\\"preferred\\\": false,\n      \\\"mediumType\\\": \\\"postalAddress\\\",\n      \\\"@type\\\": \\\"GeographicAddressContactMedium\\\",\n      \\\"locationId\\\":\\\"92656927259338967\\\",\n      \\\"city\\\": \\\"Morristown\\\",\n      \\\"country\\\": \\\"USA\\\",\n      \\\"postCode\\\": \\\"07960\\\",\n      \\\"stateOrProvince\\\": \\\"New Jersey\\\",\n      \\\"street1\\\": \\\"240 Headquarters Plazza\\\", \n      \\\"street2\\\": \\\"East Tower - 10th Floor\\\"\n    }\n  ],\n  \\\"partyCharacteristic\\\": [\n    {\n        \\\"name\\\": \\\"notification\\\",\n        \\\"value\\\": \\\"enable\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"dateFormat\\\",\n        \\\"value\\\": \\\"MM/DD/YYYY\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"timeFormat\\\",\n        \\\"value\\\": \\\"12-hour\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"timeZone\\\",\n        \\\"value\\\": \\\"EST\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"vip\\\",\n        \\\"value\\\": true,\n        \\\"valueType\\\": \\\"boolean\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"webServiceAccessOnly\\\",\n        \\\"value\\\": false,\n        \\\"valueType\\\": \\\"boolean\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"source\\\",\n        \\\"value\\\": \\\"Third-party system\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    },\n    {\n        \\\"name\\\": \\\"eduStatus\\\",\n        \\\"value\\\": \\\"Graduated\\\",\n        \\\"valueType\\\": \\\"string\\\",\n        \\\"@type\\\": \\\"string\\\"\n    }\n  ],\n  \\\"relatedParty\\\": [\n    {\n      \\\"@type\\\": \\\"User\\\",\n      \\\"role\\\": \\\"Company\\\"\n    },\n    {\n      \\\"@type\\\": \\\"User\\\"\n      \\\"role\\\": \\\"Department\\\"\n    }\n  ],\n  \\\"status\\\": \\\"active\\\",\n  \\\"@type\\\": \\\"User\\\"\n}\" \\\n```\n\nResponse body.\n\n```\n{\n   \"name\": \"Jane Smith\",\n  \"givenName\": \"Jane\",\n  \"middleName\": \"B.\",\n  \"familyName\": \"Smith\",\n  \"gender\": \"female\",\n  \"nationality\": \"American\",\n  \"title\": \"Ms\",\n  \"contactMedium\": [\n    {\n      \"preferred\": true,\n      \"mediumType\": \"email\",\n      \"emailAddress\": \"jane.smith@example.com\",\n      \"@type\": \"EmailContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"mobilePhone\",\n      \"phoneNumber\": \"+1-416-555-1234\",\n      \"@type\": \"PhoneContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"businessPhone\",\n      \"phoneNumber\": \"+1-416-555-5678\",\n      \"@type\": \"BusinessPhoneContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"fax\",\n      \"fax\": \"987654321\",\n      \"@type\": \"FaxContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"homePhone\",\n      \"phoneNumber\": \"+1-416-555-4321\",\n      \"@type\": \"HomePhoneContactMedium\"\n    },\n    {\n      \"preferred\": false,\n      \"mediumType\": \"postalAddress\",\n      \"@type\": \"GeographicAddressContactMedium\",\n      \"locationId\": \"03e588a17be062105e0d5494548cb68c\",\n      \"city\": \"Toronto\",\n      \"country\": \"Canada\",\n      \"postCode\": \"M5H 2N2\",\n      \"stateOrProvince\": \"Ontario\",\n      \"street1\": \"123 Queen St W\",\n      \"street2\": \"Suite 1500\"\n    }\n  ],\n  \"externalReference\": [\n    {\n      \"externalIdentifierType\": \"linkedin\",\n      \"id\": \"http://linkedin.com/in/janesmith\"\n    }\n  ],\n  \"partyCharacteristic\": [\n    {\n      \"name\": \"notes\",\n      \"value\": \"General consumer information.\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"userName\",\n      \"value\": \"janesmith\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"vip\",\n      \"value\": false,\n      \"valueType\": \"boolean\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"source\",\n      \"value\": \"CRM System\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"dateFormat\",\n      \"value\": \"yyyy-mm-dd\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"timeformat\",\n      \"value\": \"HH:mm:ss (24 hour)\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    },\n    {\n      \"name\": \"notification\",\n      \"value\": \"Disabled\",\n      \"valueType\": \"string\",\n      \"@type\": \"string\"\n    }\n  ],\n  \"relatedParty\": [\n    {\n      \"@type\": \"User\",\n      \"role\": \"User\"\n    }\n  ],\n  \"status\": \"active\",\n  \"@type\": \"User\",\n   \"warning\": [\n    \"relatedParty[0] is incorrect. User does not exist\"\n  ]\n}\n```\n\n## Party Management - PATCH /api/sn\\_tmf\\_api/v1/party/organization/\\{id\\}\n\nUpdates an existing individual party record in the Account \\[customer\\_account\\] tables without replacing the entire resource.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/v1/party/organization/{id}`\n\nDefault URL: `/api/sn_tmf_api/v1/party/organization/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"id_czh_nnj_jhc\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nSpecifies the object type being created. Determines whether the request creates an Account, Consumer, or Contact record. Replaces the previous `PartyOrPartyRole` object. Valid values:\n\n-   `Account`\n-   `Consumer`\n-   `Contact`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party.Data type: Array of Objects\n\n```\n\"contactMedium\": [\n {\n  \"@type\": \"String\",\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"emailAddress\": \"String\",\n  \"locationId\": \"String\",\n  \"contactType\": \"String\",\n  \"phoneNumber\": \"String\",\n  \"postCode\": \"String\",\n  \"preferred\": \"Boolean\",\n  \"stateOrProvince\": \"String\",\n  \"street1\": \"String\",\n  \"street2\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object.Possible values:\n\n-   BusinessPhoneContactMedium: Business phone number\n-   EmailContactMedium: Email address\n-   FaxPhoneContactMedium: Fax number\n-   GeographicAddressContactMedium: Physical address \\(street, city, state, postal code\\)\n-   HomePhoneContactMedium: Home phone number\n-   MobilePhoneContactMedium: Mobile number\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.contactType\n\n</td><td>\n\nThe type of contact medium. Possible values:\n\n-   `businessPhone`\n-   `email`\n-   `faxPhone`\n-   `homePhone`\n-   `mobilePhone`\n-   `postalAddress`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.emailAdress\n\n</td><td>\n\nEmail address of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.phoneNumber\n\n</td><td>\n\nPhone number of the organization contact.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostcode of the organization.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.preferred\n\n</td><td>\n\nThis value is always `false`.Data type: Boolean\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nIndicates whether the location is from a state or province.Possible values:\n\n-   `state`\n-   `province`\n\nData type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street1\n\n</td><td>\n\nDescribes the street.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street2\n\n</td><td>\n\nComplementary street description.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference\n\n</td><td>\n\nList of identifiers of the party in an external system.Data type: Array of Objects\n\n```\n\"externalReference\": [ \n { \n  \"externalIdentifierType\": \"String\", \n  \"name\": \"String\" \n }\n]\n```\n\n</td></tr><tr><td>\n\nexternalReference.externalIdentifierType\n\n</td><td>\n\nType of entity within the external system.Data type: String\n\n</td></tr><tr><td>\n\nexternalReference.name\n\n</td><td>\n\nHuman-readable name of the external system or reference.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the account record \\(URI\\).Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the external entity account record.Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nlegalName\n\n</td><td>\n\nLegal name of the organization.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the organization.Data type: String\n\n</td></tr><tr><td>\n\norganizationChildRelationship\n\n</td><td>\n\nList of child organization relationships, such as subsidiary, partner, or branch organizations. Data type: Array of Objects\n\n```\n\"organizationChildRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"organization\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\norganizationChildRelationship.organization\n\n</td><td>\n\nChild organization object containing identity and details.Data type: Object\n\n```\n\"organization\": {\n        \"id\": \"String\",\n        \"name\": \"String\",\n        \"@type\": \"String\"\n      }\n```\n\n</td></tr><tr><td>\n\norganizationChildRelationship.organization.@type\n\n</td><td>\n\nType of the organization object. Value is always `Organization`.Data type: String\n\n</td></tr><tr><td>\n\norganizationChildRelationship.organization.id\n\n</td><td>\n\nSys\\_id of the child organization record.Table: Account \\[customer\\_account\\] or Organization \\[core\\_company\\]\n\nData type: String\n\n</td></tr><tr><td>\n\norganizationChildRelationship.organization.name\n\n</td><td>\n\nDisplay name of the child organization.Data type: String\n\n</td></tr><tr><td>\n\norganizationChildRelationship.relationshipType\n\n</td><td>\n\nType of relationship between parent and child organization.Data type: String\n\nAccepted values:\n\n-   `partneraccount`\n-   `distributor`\n-   `subsidiary`\n-   `branch`\n-   `reseller`\n\n</td></tr><tr><td>\n\norganizationParentRelationship\n\n</td><td>\n\nParent organization relationship. Data type: Object\n\n```\n\"organizationParentRelationship\": {\n  \"relationshipType\": \"String\",\n  \"organization\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\norganizationParentRelationship.organization\n\n</td><td>\n\nParent organization object containing identity and details.Data type: Object\n\n```\n\"organization\": {\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"@type\": \"String\"\n    }\n```\n\n</td></tr><tr><td>\n\norganizationParentRelationship.organization.@type\n\n</td><td>\n\nType of the organization object. Value is always `Organization`.Data type: String\n\n</td></tr><tr><td>\n\norganizationParentRelationship.organization.id\n\n</td><td>\n\nSys\\_id of the parent or
[...]
